ggiWmhZOrder(3)

NAME
ggiWmhZOrder : Raising and lowering a window

SYNOPSIS
#include <ggi/wmh.h>
int ggiWmhZOrder(ggi_visual_t vis,enum ggi_wmh_ordercmd command);

DESCRIPTION
ggiWmhZOrder raises windows up or lowers down as specified in the command arg: GGI_WMH_ZO_TOP raises the window to the top. It overlaps all windows, including non-GGI ones. GG_WMH_ZO_BOTTOM puts the window to the bottom. All other windows, including non-GGI ones, overlap it. GGI_WMH_ZO_ONE_UP, GGI_WMH_ZO_ONE_DOWN raises or lowers the window one level up or down.
    Important: The ZO_* are deprecated and are going to be removed. They are just aliases for the new ones to allow users a smooth migration.

RETURN VALUE
ggiWmhZOrder returns 0 for success, otherwise an ggi-error(3) code on failure.